





#include "WagnisGameboard.h"
#include "core/CoreIncludes.h"
#include "BulletDynamics/Dynamics/btRigidBody.h"
#include <vector>


namespace orxonox
{
    RegisterClass(WagnisGameboard);
    
    WagnisGameboard::WagnisGameboard(Context* context) : StaticEntity(context){
        RegisterObject(WagnisGameboard);
    }

    WagnisGameboard::~WagnisGameboard(){
        for(WagnisProvince* prov:this->provs){
            prov->destroy(); //destroys all Provinces
        }
    }



    //XML Port
    void WagnisGameboard::XMLPort(Element& xmlelement,XMLPort::Mode mode){

        XMLPortObject(WagnisGameboard, WagnisProvince, "Province", addProvince, getProvince, xmlelement, mode);
    }
    //XML add province
    //Adds a Province to the Gameboard
    void WagnisGameboard::addProvince(WagnisProvince* province){
        this->provs.push_back(province);
    }
    //XML get province
    WagnisProvince* WagnisGameboard::getProvince(unsigned int index) const{
        if(this->provs.size() <= index) return nullptr;
        return this->provs.at(index);
    }



    void WagnisGameboard::setPosition(const Vector3&){
        //TODO
    }
    void WagnisGameboard::setOrientation(const Quaternion&){
        //TODO
    }
}